from environs import Env
env = Env()
env.read_env()

FLASK_ADMIN_FLUID_LAYOUT = True

SECRET_KEY = env.str('SECRET_KEY', default='randomstring')

db_username = env.str('DATABASE_USERNAME', default='postgres')
db_password = env.str('DATABASE_PASSWORD', default='secret')
db_hostname = env.str('DATABASE_HOSTNAME', default='postgres')
db_name = env.str('DATABASE_NAME', default='postgres')
SQLALCHEMY_DATABASE_URI = env.str('DATABASE_URI', default='postgresql+psycopg2://%s:%s@%s/%s' % (db_username, db_password, db_hostname, db_name))

SPACEAUTH_CONSUMER_KEY = env.str('SPACEAUTH_CONSUMER_KEY', default='')
SPACEAUTH_CONSUMER_SECRET = env.str('SPACEAUTH_CONSUMER_SECRET', default='')
SPACEAUTH_DISABLE = env.bool('SPACEAUTH_DISABLE', default=False)

PROXYFIX_ENABLE = env.bool('PROXYFIX_ENABLE', default=True)
PROXYFIX_NUM_PROXIES = env.int('PROXYFIX_NUM_PROXIES', default=1)

BABEL_DEFAULT_LOCALE = 'pl'
TEMPLATES_AUTO_RELOAD = env.bool('TEMPLATES_AUTO_RELOAD', default=False)


SHIPPING_KURJERZY_EMAIL = env.str('SHIPPING_KURJERZY_EMAIL', default='')
SHIPPING_KURJERZY_PASSWORD = env.str('SHIPPING_KURJERZY_PASSWORD', default='')

SHIPPING_SENDER_NAME = env.str('SHIPPING_SENDER_NAME', default='Warszawski Hackerspace')
SHIPPING_SENDER_NAME2 = env.str('SHIPPING_SENDER_NAME2', default='')
SHIPPING_SENDER_EMAIL = env.str('SHIPPING_SENDER_EMAIL', default='covid-logistics@hackerspace.pl')
SHIPPING_SENDER_STREET = env.str('SHIPPING_SENDER_STREET', default='Wolność')
SHIPPING_SENDER_NUMBER = env.str('SHIPPING_SENDER_NUMBER', default='2A')
SHIPPING_SENDER_POSTALCODE = env.str('SHIPPING_SENDER_POSTALCODE', default='01-018')
SHIPPING_SENDER_CITY = env.str('SHIPPING_SENDER_CITY', default='Warszawa')
SHIPPING_SENDER_PHONE_NUMBER = env.str('SHIPPING_SENDER_PHONE_NUMBER', default='')

CACHE_TYPE = env.str('CACHE_TYPE', default='redis')
CACHE_REDIS_URL = env.str('CACHE_REDIS_URL', default='redis://redis')
