"""Add handling orga info

Revision ID: 41f49135a5e5
Revises: f801adcdbdff
Create Date: 2020-04-24 06:22:50.364268

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '41f49135a5e5'
down_revision = 'f801adcdbdff'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('orga',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('shipping_name', sa.String(), nullable=True),
    sa.Column('shipping_full_name', sa.String(), nullable=True),
    sa.Column('shipping_street', sa.String(), nullable=True),
    sa.Column('shipping_number', sa.String(), nullable=True),
    sa.Column('shipping_postalcode', sa.String(), nullable=True),
    sa.Column('shipping_city', sa.String(), nullable=True),
    sa.Column('shipping_phone_number', sa.String(), nullable=True),
    sa.Column('shipping_email', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('external_user', sa.Column('orga', sa.String(), nullable=True))
    op.create_foreign_key(None, 'external_user', 'orga', ['orga'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'external_user', type_='foreignkey')
    op.drop_column('external_user', 'orga')
    op.drop_table('orga')
    # ### end Alembic commands ###
