"""Add remarks and status fields

Revision ID: adce9713c86f
Revises: 383ca469a0fe
Create Date: 2020-03-27 17:16:20.158951

"""
from alembic import op
import sqlalchemy as sa

status = sa.Enum('new', 'confirmed', 'allocated', 'fulfilled', 'rejected', name='status')


# revision identifiers, used by Alembic.
revision = 'adce9713c86f'
down_revision = '383ca469a0fe'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    status.create(op.get_bind())
    op.add_column('faceshield_request', sa.Column('remarks', sa.String(), nullable=True))
    op.add_column('faceshield_request', sa.Column('status', status, server_default='new', nullable=False))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('faceshield_request', 'status')
    op.drop_column('faceshield_request', 'remarks')
    status.drop(op.get_bind())
    # ### end Alembic commands ###
